eric ide

Issue149

Classification
Title: Indentation lost when hitting Enter when cursor is at start of line
Type: behavior Product: eric4
Process
Priority: high    
Status: closed Resolution: fixed
Superseder: Nosy List: davidmcnab, detlev
Assigned to: detlev Keywords:

Created on 2014-07-24.04:01:57 by davidmcnab, last changed by detlev.

Messages (2.0)
msg537 (view) Author: detlev Date: 2014-08-02.10:58:06
After discussions with the author of QScintilla it was discovered, that this is a 
QScintilla flaw, which he fixed in QScintilla versions newer than July, 30th 
2014.
msg535 (view) Author: davidmcnab Date: 2014-07-24.04:01:57
When editing a Python source file, if the cursor is at the beginning of a non-
empty line and Enter is pressed, all indentation of the text on that line is 
lost, so the text moves to the start of the next line. This is dysfunctional and 
non-standard (other editors preserve indentation when inserting newline via 
Enter).
I really hope this gets fixed, because it's highly distrating to mental flow 
while coding, especially given how many times one enters newlines.
History
Date User Action Args
2014-08-02 10:58:06detlevsetstatus: open -> closed
resolution: fixed
messages: + msg537
message_count: 1.0 -> 2.0
2014-07-25 17:41:11detlevsetstatus: new -> open
assignedto: detlev
nosy: + detlev
2014-07-24 04:01:57davidmcnabcreate